import traceback
import os
import subprocess
from datetime import datetime
from os.path import expanduser
home = expanduser("~")


def start_process():
    try:
        os.chdir(home + os.sep + 'CAVService')
        print("CAV updater started at : " + str(datetime.utcnow()))
        process = subprocess.Popen(["./updater.sh"], stdout=subprocess.PIPE, stderr=subprocess.PIPE)
        output, error = process.communicate()
        print(output)
        print(error)
        return_code = process.returncode
        print(return_code)

        if return_code == 0:
            print("CAV updater finished successfully at : " + str(datetime.utcnow()))
        else:
            print("Exception occurred CAV update time : " + str(datetime.utcnow()))
    except:
        print (traceback.format_exc())
        print("Exception occurred CAV update time : " + str(datetime.utcnow()))


def main():
    start_process()


if __name__ == '__main__':
    main()